#include "SnakeTile.h"

SnakeTile::SnakeTile(QObject *parent) : WimaAreaData(parent) {}

SnakeTile::SnakeTile(const SnakeTile &other, QObject *parent)
    : WimaAreaData(parent) {
  *this = other;
}

SnakeTile::~SnakeTile() {}

QString SnakeTile::mapVisualQML() const {
  return QStringLiteral("WimaAreaNoVisual.qml");
}

QString SnakeTile::type() const { return "Tile"; }

SnakeTile *SnakeTile::Clone() const { return new SnakeTile(*this); }

SnakeTile &SnakeTile::operator=(const SnakeTile &other) {
  this->assign(other);
  return *this;
}

void SnakeTile::assign(const SnakeTile &other) { WimaAreaData::assign(other); }
